gzuncompress
readgzfile
Zlib Functions
PHP Manual

# gzwrite

(PHP 4, PHP 5)

gzwrite — Binary-safe gz-file write

### Description

int gzwrite ( resource `$zp` , string `$string` [, int `$length` ] )

gzwrite() writes the contents of `string` to the given gz-file.

### Parameters

`zp`

  The gz-file pointer. It must be valid, and must point to a file successfully opened by gzopen().

`string`

  The string to write.

`length`

  The number of uncompressed bytes to write. If supplied, writing will stop after `length` (uncompressed) bytes have been written or the end of `string` is reached, whichever comes first.

  > Note: Note that if the `length` argument is given, then the magic_quotes_runtime configuration option will be ignored and no slashes will be stripped from `string`.

### Return Values

Returns the number of (uncompressed) bytes written to the given gz-file stream.

### Examples

Example #1 gzwrite() example

`<?php
$string = 'Some information to compress';
$gz = gzopen('somefile.gz','w9');
gzwrite($gz, $string);
gzclose($gz);
?>`

### See Also

- gzread() - Binary-safe gz-file read
- gzopen() - Open gz-file

gzuncompress
readgzfile
Zlib Functions
PHP Manual